# Class ByteBufferInputStream

java.lang.Object
java.io.InputStream
org.apache.zookeeper.server.ByteBufferInputStream

All Implemented Interfaces:
  `Closeable, AutoCloseable`

public class ByteBufferInputStream extends InputStream

## Constructor Summary

Constructors
Constructor
Description
`ByteBufferInputStream(ByteBuffer bb)`

## Method Summary

Modifier and Type
Method
Description
`int`
`available()`
`static void`
`byteBuffer2Record(ByteBuffer bb, Record record)`
`int`
`read()`
`int`
`read(byte[] b)`
`int`
`read(byte[] b, int off, int len)`
`long`
`skip(long n)`

### Methods inherited from class InputStream

`close, mark, markSupported, reset`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ByteBufferInputStream

public ByteBufferInputStream(ByteBuffer bb)

## Method Details

### read

public int read() throws IOException

Specified by:
  `read` in class `InputStream`
Throws:
  `IOException`

### available

public int available() throws IOException

Overrides:
  `available` in class `InputStream`
Throws:
  `IOException`

### read

public int read(@Nonnull byte[] b, int off, int len) throws IOException

Overrides:
  `read` in class `InputStream`
Throws:
  `IOException`

### read

public int read(@Nonnull byte[] b) throws IOException

Overrides:
  `read` in class `InputStream`
Throws:
  `IOException`

### skip

public long skip(long n) throws IOException

Overrides:
  `skip` in class `InputStream`
Throws:
  `IOException`

### byteBuffer2Record

public static void byteBuffer2Record(ByteBuffer bb, Record record) throws IOException

Throws:
  `IOException`